Subject: Re: linux-next: Tree for June 13 (XEN)

From: Jeremy Fitzhardinge <[email-masked]>
Date: Sun, 15 Jun 2008 07:11:16 +0100

Jens Axboe wrote:
> On Fri, Jun 13 2008, Jeremy Fitzhardinge wrote:
>   
>> Randy Dunlap wrote:
>>     
>>> next-20080613 on x86_32 has lots of xen build errors like this:
>>>
>>> linux-next-20080613/arch/x86/xen/mmu.c: In function 'drop_mm_ref':
>>> linux-next-20080613/arch/x86/xen/mmu.c:759: error: implicit declaration of 
>>> function 'xen_smp_call_function_mask'
>>> make[2]: *** [arch/x86/xen/mmu.o] Error 1
>>>
>>>  
>>>       
>> Ooh, first time I've seen that.  Sounds like Jens' patches are missing 
>> the appropriate update there (though it's certainly had it in the past).
>>     
>
> Hmm, will this work or do we need to force xen smp_ops for this one? I
> wonder if this is new code and was missed, or what happened in this
> case.
>   

Yes, using smp_call_function_mask is perfectly OK.  The old code was 
just a micro-optimisation.  I'm pretty sure this chunk was in one of 
your patchsets (or perhaps I sent it to you at some point).

> diff --git a/arch/x86/xen/mmu.c b/arch/x86/xen/mmu.c
> index 3525ef5..8baef77 100644
> --- a/arch/x86/xen/mmu.c
> +++ b/arch/x86/xen/mmu.c
> @@ -569,7 +569,7 @@ static void drop_mm_ref(struct mm_struct *mm)
>  	}
>  
>  	if (!cpus_empty(mask))
> -		xen_smp_call_function_mask(mask, drop_other_mm_ref, mm, 1);
> +		smp_call_function_mask(mask, drop_other_mm_ref, mm, 1);
>  }
>  #else
>  static void drop_mm_ref(struct mm_struct *mm)
>
>   

Acked-by: Jeremy Fitzhardinge <[email-masked]>

    J